about summary refs log tree commit diff
diff options
context:
space:
mode:
authorLeah Neukirchen <leah@vuxu.org>2017-10-12 17:34:09 +0200
committerLeah Neukirchen <leah@vuxu.org>2017-10-12 17:34:09 +0200
commitccfd5af5f1263c8206ac7af2e603c5afb2f92e47 (patch)
tree3f429f63ff1a594dac29adaf093ee12ffb1e6b18
parent707929f21c9349611cb0c2ef23550ce029dbfbdc (diff)
downloadxe-ccfd5af5f1263c8206ac7af2e603c5afb2f92e47.tar.gz
xe-ccfd5af5f1263c8206ac7af2e603c5afb2f92e47.tar.xz
xe-ccfd5af5f1263c8206ac7af2e603c5afb2f92e47.zip
tests: avoid the shell changing return value for kill test, let kill kill itself
-rwxr-xr-xtests2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests b/tests
index 4a16431..e7e6162 100755
--- a/tests
+++ b/tests
@@ -215,7 +215,7 @@ check_output 'exit code on when command fails with 255' 'necho a | xe -s "exit 2
 124
 EOF
 
-check_output 'exit code when process was killed' 'necho a | xe -s "kill -HUP \$\$" 2>/dev/null || echo $?' <<EOF
+check_output 'exit code when process was killed' 'necho a | xe -s "exec /bin/kill -HUP \$\$" 2>/dev/null || echo $?' <<EOF
 125
 EOF